PLATINUM DOCS
ApiSecrets

PATCH /v1/secrets/{id}

PATCH
/v1/secrets/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name/description are metadata. Editing allow/headers/on_echo requires the secrets:use scope IN ADDITION to secrets:write (widening the allowlist to a destination you control discloses the value) and transparently mints a new version.

Response Body

application/json

curl -X PATCH "https://example.com/v1/secrets/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "description": "string",  "current_gen": 0,  "allow": [    "string"  ],  "headers": [    "string"  ],  "on_echo": "block",  "created_at": "string",  "created_by": "string",  "last_used_at": "string"}
Empty